# allocator.h File Reference

Go to the source code of this file.

## Classes

- class std::allocator< _Tp >
    The "standard" allocator, as per [20.4].

    Further details: http://gcc.gnu.org/onlinedocs/libstdc++/manual/bk01pt04ch11.html. More...

- class std::allocator< void >
    allocator<void> specialization. More...

## Namespaces

- namespace std

## Defines

- #define _ALLOCATOR_H

## Functions

- template<typename _Tp > bool std::operator!= (const allocator< _Tp > &, const allocator< _Tp > &)
- template<typename _T1 , typename _T2 > bool std::operator!= (const allocator< _T1 > &, const allocator< _T2 > &)
- template<typename _Tp > bool std::operator== (const allocator< _Tp > &, const allocator< _Tp > &)
- template<typename _T1 , typename _T2 > bool std::operator== (const allocator< _T1 > &, const allocator< _T2 > &)

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file allocator.h.